| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::EditorStackView Class Reference
Inheritance diagram for Digikam::EditorStackView:

## Public Types
enum | StackViewMode { CanvasMode = 0 , ToolViewMode }

## Public Slots
void | setZoomFactor (double)
void | slotZoomSliderChanged (int)

## Signals
void | signalToggleOffFitToWindow ()
void | signalZoomChanged (bool isMax, bool isMin, double zoom)

## Public Member Functions
| EditorStackView (QWidget *const parent=nullptr)
Canvas * | canvas () const
void | decreaseZoom ()
void | fitToSelect ()
void | increaseZoom ()
bool | isZoomablePreview () const
void | setCanvas (Canvas *const canvas)
void | setToolView (QWidget *const view)
void | setViewMode (int mode)
void | toggleFitToWindow ()
QWidget * | toolView () const
int | viewMode () const
double | zoomMax () const
double | zoomMin () const
void | zoomTo100Percent ()